Bug 1162904 - F21 ppc64 Beta RC1 - Netinst enters Grub rescue mode on G5 Mac [NEEDINFO]
Summary: F21 ppc64 Beta RC1 - Netinst enters Grub rescue mode on G5 Mac
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: lorax
Version: 21
Hardware: ppc64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 1162914 (view as bug list)
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2014-11-12 00:31 UTC by Al Dunsmuir
Modified: 2015-12-02 16:31 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-12-02 04:55:52 UTC
bcl: needinfo? (al.dunsmuir)


Attachments (Terms of Use)

Description Al Dunsmuir 2014-11-12 00:31:05 UTC
Description of problem:
On Mac G5s, all of the F21 netinst disks enter grub2's rescue mode instead of displaying the grub menu.

Version-Release number of selected component (if applicable):
PPC64 Beta RC1 and before

How reproducible:
100%

Steps to Reproduce:
1. Start Mac G5 
2. Insert netinst CD
3. Hold down C to start "boot from CD" mode
4. Wait for CD to complete boot sequence

Actual results:

Displays:
Entering rescue mode
grub rescue>

Expected results:

Display of grub2 menu, allowing install or rescue mode.

Additional info:
All F21 netinst CD isos behave the same.

F21 DVD is not recognized as bootable.  That's a separate issue.

Comment 1 Al Dunsmuir 2014-11-12 00:39:46 UTC
See https://bugzilla.redhat.com/show_bug.cgi?id=1020112

For F20, netinst CD had different issues
- CD boot/powerpc-ieee1275 directory was not blessed
- core.elf file in that director needed to be set to file type "tbxi"

I have followed the same procedure as Eric Larsson with the F21 Beta CD, but it made no difference.  HFS utilities don't appear to provide way to display if a directory is blessed, but did so.  Did verify that core.elf had correct file type.

It appears to be a new problem - perhaps a problem with grub2 not being able to access the grub.cfg file?   

I have plenty of Mac G5 hardware and fibre net connection so can easily do any testing for this.

Comment 2 Al Dunsmuir 2014-11-12 00:44:56 UTC
Blocking the ppc64 tracker bug.

Comment 3 Al Dunsmuir 2014-11-12 00:45:55 UTC
Sorry for the misfires on the blocker bug.

Comment 4 Al Dunsmuir 2014-11-12 01:30:00 UTC
Moving to lorax.

There is a separate issue that grub2 is being used for Mac stage 1 boot, but there is a dangling usage of yaboot for Mac stage 2 boot.  Unfortunately, yaboot is not provided on the F21 iso. 

I created the separate https://bugzilla.redhat.com/show_bug.cgi?id=1162914, to document this gap.   When creating that BZ, I noted that bcl is migrating RHEL 7.1 from yaboot to grub2 (https://bugzilla.redhat.com/show_bug.cgi?id=1131199)
under lorax.  I suspect that component may be a better starting point. 

Hopefully it will be possible to resolve the F21 grub2 stage 1 boot issues and do some quick resolution of the stage 2 yaboot issue (likely ppc64 -m32 build with static glib), to be migrated to grub2 stage 2 in F22 timeframe.  This would allow grub2-only boots in F22 and RHEL 7.1 releases.

Comment 5 Brian Lane 2014-11-13 00:42:56 UTC
We're not going to pull yaboot back in. And AFAIK the current setup works fine on power7 ppc64 systems.

I don't think G5 is really a high priority at this point, but can you be more specific about why you think it is failing on the G5?

Comment 6 Brian Lane 2014-11-13 00:45:46 UTC
*** Bug 1162914 has been marked as a duplicate of this bug. ***

Comment 7 Fedora End Of Life 2015-11-04 14:51:52 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2015-12-02 04:56:00 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.